cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"squadsVault": "BFvJqKjuWT6CcvRKE4A4ZvbqZFmu1uxYJpcZ5ko8nkgR",
"lpMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"lpDecimals": 9,
"name": "Raiku SOL Ecosystem Vault",
"imageUrl": "",
"quoteToken": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"depositToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"lpToken": {
"mint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"underlyingMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"name": "RockawayX Raiku SOL Ecosystem LP",
"ticker": "roxrkuSOL",
"decimals": 9
},
"assets": [
"rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"So11111111111111111111111111111111111111112",
"84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"58XmRhDKVsCEt6dD3zxqHth8uzMY8BHhEyeAiUa5UPw9",
"3bVyq1RKtEA8BkF21NU82Dk6erSXQbWnkhM4TsGgiD9i"
],
"protocols": [
{
"programId": "XPBookgQTN2p8Yw1C2La35XkPMmZTCEYH77AdReVvK1",
"name": "Exponent Orderbook"
},
{
"programId": "ExponentnaRg3CQbW6dqQNZKXp7gtZ9DGMp1cwC4HAS7",
"name": "Exponent Core"
}
],
"strategist": {
"address": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"name": "RockawayX",
"imageUrl": "https://cdn.exponent.finance/vault-curator-icons/rockaway.svg",
"description": "RockawayX is a global digital asset investment firm with over $2bn in assets under management and a track record of zero defaults since launch. Since 2020, the firm has backed 100+ early stage crypto projects and runs active DeFi yield strategies with deep risk analysis, supported by in house infrastructure and incubation."
},
"strategistName": "RockawayX",
"syMint": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"pointsBoosts": [],
"description": "A SOL yield product designed to deepen and support the rkuSOL ecosystem. LPs deposit and withdraw in rkuSOL; the vault deploys exclusively into rkuSOL centric strategies across Kamino and Exponent.\n\nRockawayX abstracts multi venue Solana DeFi execution into a single rkuSOL side deposit, with a balanced risk profile combining rkuSOL holding, Kamino lending and Exponent yield trading (PT and LP).",
"profile": "balanced",
"tvl": 37536.50417734,
"lpSupply": 35801205956848,
"effectiveLpSupply": 35813991582087,
"lpPrice": 1.0480960797487466,
"apy": {
"3d": 0.05172186550267846,
"7d": 0.05190812343511681,
"30d": 0.052623556586920514,
"90d": null,
"current": 0.05190812343511681,
"apySource": "positionComponents",
"ptWeight": null
},
"lpLockedForWithdrawal": 0,
"instantRedeemCapacity": 1838.704543881915,
"instantWithdrawableAum": 1867.440005903,
"rejectionThresholdBps": 300000,
"withdrawalFeeBps": 0,
"instantWithdrawalFeeBps": 50,
"defaultVotingPeriodSeconds": 21600,
"categories": [],
"createdAt": 1780426044,
"startDateUnixTs": 1780426044,
"quoteAsset": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"underlyingAsset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"exchangeRate": 1.020731760729,
"capacity": 72500,
"capacityUsd": 7544084.545707026,
"adminAddress": "3yY1erZjX9XxTSAFAyEZmuiATXrb3ProK6Eyf7k6LDhb",
"vaultParameterChange": "6 hours timelock",
"infrastructure": "Squads",
"performanceFee": 0,
"managementFee": 0.001,
"withdrawalPeriodHours": 0,
"withdrawalPeriodConfig": {
"mode": "weekly",
"lockTimeSeconds": 0,
"daysOfWeek": 16,
"weekInterval": 1,
"referenceTimestamp": 0
},
"sentinelAddress": "7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq",
"depositorsAddress": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"assetsExposure": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
],
"positionsAssets": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
]
}
Strategy Vaults
Managed strategy vault details
Returns one managed strategy.
GET
/
strategies
/
managed
/
{address}
cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"squadsVault": "BFvJqKjuWT6CcvRKE4A4ZvbqZFmu1uxYJpcZ5ko8nkgR",
"lpMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"lpDecimals": 9,
"name": "Raiku SOL Ecosystem Vault",
"imageUrl": "",
"quoteToken": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"depositToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"lpToken": {
"mint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"underlyingMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"name": "RockawayX Raiku SOL Ecosystem LP",
"ticker": "roxrkuSOL",
"decimals": 9
},
"assets": [
"rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"So11111111111111111111111111111111111111112",
"84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"58XmRhDKVsCEt6dD3zxqHth8uzMY8BHhEyeAiUa5UPw9",
"3bVyq1RKtEA8BkF21NU82Dk6erSXQbWnkhM4TsGgiD9i"
],
"protocols": [
{
"programId": "XPBookgQTN2p8Yw1C2La35XkPMmZTCEYH77AdReVvK1",
"name": "Exponent Orderbook"
},
{
"programId": "ExponentnaRg3CQbW6dqQNZKXp7gtZ9DGMp1cwC4HAS7",
"name": "Exponent Core"
}
],
"strategist": {
"address": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"name": "RockawayX",
"imageUrl": "https://cdn.exponent.finance/vault-curator-icons/rockaway.svg",
"description": "RockawayX is a global digital asset investment firm with over $2bn in assets under management and a track record of zero defaults since launch. Since 2020, the firm has backed 100+ early stage crypto projects and runs active DeFi yield strategies with deep risk analysis, supported by in house infrastructure and incubation."
},
"strategistName": "RockawayX",
"syMint": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"pointsBoosts": [],
"description": "A SOL yield product designed to deepen and support the rkuSOL ecosystem. LPs deposit and withdraw in rkuSOL; the vault deploys exclusively into rkuSOL centric strategies across Kamino and Exponent.\n\nRockawayX abstracts multi venue Solana DeFi execution into a single rkuSOL side deposit, with a balanced risk profile combining rkuSOL holding, Kamino lending and Exponent yield trading (PT and LP).",
"profile": "balanced",
"tvl": 37536.50417734,
"lpSupply": 35801205956848,
"effectiveLpSupply": 35813991582087,
"lpPrice": 1.0480960797487466,
"apy": {
"3d": 0.05172186550267846,
"7d": 0.05190812343511681,
"30d": 0.052623556586920514,
"90d": null,
"current": 0.05190812343511681,
"apySource": "positionComponents",
"ptWeight": null
},
"lpLockedForWithdrawal": 0,
"instantRedeemCapacity": 1838.704543881915,
"instantWithdrawableAum": 1867.440005903,
"rejectionThresholdBps": 300000,
"withdrawalFeeBps": 0,
"instantWithdrawalFeeBps": 50,
"defaultVotingPeriodSeconds": 21600,
"categories": [],
"createdAt": 1780426044,
"startDateUnixTs": 1780426044,
"quoteAsset": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"underlyingAsset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"exchangeRate": 1.020731760729,
"capacity": 72500,
"capacityUsd": 7544084.545707026,
"adminAddress": "3yY1erZjX9XxTSAFAyEZmuiATXrb3ProK6Eyf7k6LDhb",
"vaultParameterChange": "6 hours timelock",
"infrastructure": "Squads",
"performanceFee": 0,
"managementFee": 0.001,
"withdrawalPeriodHours": 0,
"withdrawalPeriodConfig": {
"mode": "weekly",
"lockTimeSeconds": 0,
"daysOfWeek": 16,
"weekInterval": 1,
"referenceTimestamp": 0
},
"sentinelAddress": "7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq",
"depositorsAddress": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"assetsExposure": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
],
"positionsAssets": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
]
}
Path parameters
string
required
Managed strategy address.
cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"squadsVault": "BFvJqKjuWT6CcvRKE4A4ZvbqZFmu1uxYJpcZ5ko8nkgR",
"lpMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"lpDecimals": 9,
"name": "Raiku SOL Ecosystem Vault",
"imageUrl": "",
"quoteToken": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"depositToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"lpToken": {
"mint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"underlyingMint": "D2LwjwZnpgKhCePJNJU63QBmVg5h6nDxGnMgStXJsRC1",
"name": "RockawayX Raiku SOL Ecosystem LP",
"ticker": "roxrkuSOL",
"decimals": 9
},
"assets": [
"rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"So11111111111111111111111111111111111111112",
"84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"58XmRhDKVsCEt6dD3zxqHth8uzMY8BHhEyeAiUa5UPw9",
"3bVyq1RKtEA8BkF21NU82Dk6erSXQbWnkhM4TsGgiD9i"
],
"protocols": [
{
"programId": "XPBookgQTN2p8Yw1C2La35XkPMmZTCEYH77AdReVvK1",
"name": "Exponent Orderbook"
},
{
"programId": "ExponentnaRg3CQbW6dqQNZKXp7gtZ9DGMp1cwC4HAS7",
"name": "Exponent Core"
}
],
"strategist": {
"address": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"name": "RockawayX",
"imageUrl": "https://cdn.exponent.finance/vault-curator-icons/rockaway.svg",
"description": "RockawayX is a global digital asset investment firm with over $2bn in assets under management and a track record of zero defaults since launch. Since 2020, the firm has backed 100+ early stage crypto projects and runs active DeFi yield strategies with deep risk analysis, supported by in house infrastructure and incubation."
},
"strategistName": "RockawayX",
"syMint": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"pointsBoosts": [],
"description": "A SOL yield product designed to deepen and support the rkuSOL ecosystem. LPs deposit and withdraw in rkuSOL; the vault deploys exclusively into rkuSOL centric strategies across Kamino and Exponent.\n\nRockawayX abstracts multi venue Solana DeFi execution into a single rkuSOL side deposit, with a balanced risk profile combining rkuSOL holding, Kamino lending and Exponent yield trading (PT and LP).",
"profile": "balanced",
"tvl": 37536.50417734,
"lpSupply": 35801205956848,
"effectiveLpSupply": 35813991582087,
"lpPrice": 1.0480960797487466,
"apy": {
"3d": 0.05172186550267846,
"7d": 0.05190812343511681,
"30d": 0.052623556586920514,
"90d": null,
"current": 0.05190812343511681,
"apySource": "positionComponents",
"ptWeight": null
},
"lpLockedForWithdrawal": 0,
"instantRedeemCapacity": 1838.704543881915,
"instantWithdrawableAum": 1867.440005903,
"rejectionThresholdBps": 300000,
"withdrawalFeeBps": 0,
"instantWithdrawalFeeBps": 50,
"defaultVotingPeriodSeconds": 21600,
"categories": [],
"createdAt": 1780426044,
"startDateUnixTs": 1780426044,
"quoteAsset": {
"mint": "So11111111111111111111111111111111111111112",
"name": "Solana",
"ticker": "SOL",
"decimals": 9,
"underlyingMint": "So11111111111111111111111111111111111111112"
},
"underlyingAsset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
},
"exchangeRate": 1.020731760729,
"capacity": 72500,
"capacityUsd": 7544084.545707026,
"adminAddress": "3yY1erZjX9XxTSAFAyEZmuiATXrb3ProK6Eyf7k6LDhb",
"vaultParameterChange": "6 hours timelock",
"infrastructure": "Squads",
"performanceFee": 0,
"managementFee": 0.001,
"withdrawalPeriodHours": 0,
"withdrawalPeriodConfig": {
"mode": "weekly",
"lockTimeSeconds": 0,
"daysOfWeek": 16,
"weekInterval": 1,
"referenceTimestamp": 0
},
"sentinelAddress": "7me39wqdi9Chh7WeZEmf16v7GASNa88EXj3KZeVK6JHq",
"depositorsAddress": "5WodE5oHa6Uy16zg4eTep9t6DqJKx7jFN6bomAm7bVQv",
"assetsExposure": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
],
"positionsAssets": [
{
"protocol": {
"name": "Instant Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 1876.825208867,
"allocation": 0.05000097413705372,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
},
{
"protocol": {
"name": "Non-allocated Liquidity"
},
"asset": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"ticker": "rkuSOL",
"decimals": 9,
"underlyingMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"displayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
},
"compactDisplayToken": {
"mint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp",
"name": "Raiku Staked SOL",
"symbol": "rkuSOL",
"imageUrl": "https://cdn.exponent.finance/tokens/rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp.svg?v=v2"
}
},
"aum": 21605.942030569997,
"allocation": 0.5756093554014962,
"standardYieldApyMatch": {
"sourceAddress": "84nsuBADtkK8jwBrPFMiVVDm7PxN7Ytducf1Um7vxkYS",
"side": "supply",
"assetMint": "rkubjTrZYioRSeXwDnhwGQzvW3qkcin72JSxUt3WMVp"
}
}
]
}